import React from "react";
import Tooltip from "react-widget-tooltip";
export const version = "%VERSION%";
export class Popover extends React.Component {
    constructor() {
        super(...arguments);
        this.getContent = () => {
            const { prefixCls, title, content } = this.props;
            const titleNode = typeof title === "function" ? title() : title;
            return (React.createElement(React.Fragment, null,
                this.isEmptyTitle(titleNode) ? null : (React.createElement("div", { className: `${prefixCls}-title` }, titleNode)),
                React.createElement("div", { className: `${prefixCls}-content` }, typeof content === "function" ? content() : content)));
        };
    }
    isEmptyTitle(title) {
        return title === "" || title == null || title === false;
    }
    render() {
        const { content, title, ...restProps } = this.props;
        return React.createElement(Tooltip, Object.assign({}, restProps, { title: this.getContent() }));
    }
}
Popover.defaultProps = {
    prefixCls: "rw-popover",
    placement: "top",
    trigger: "click",
    arrowSize: 7,
    offset: 0,
    role: "popover",
    delay: 0,
};
export default Popover;
